import { Buff } from '@cmdcode/buff';
import { populate_psbt } from './populate.js';
import { get_psbt_version, get_unsigned_tx } from './util.js';
import { parse_global, parse_psbt } from './parse.js';
import { remove_global_record, update_global_record } from './records.js';
export function get_version(psbt) {
    const global = parse_global(psbt);
    return get_psbt_version(global);
}
export function upgrade_psbt(psbt) {
    const pdata = parse_psbt(psbt);
    const txhex = get_unsigned_tx(pdata.global);
    populate_psbt(pdata, txhex);
    remove_global_record(pdata.global, 'UNSIGNED_TX');
    update_global_record(pdata.global, { label: 'VERSION', value: Buff.num(2, 4).hex });
    return pdata;
}
