import { PSBTGlobalKeys, PSBTGlobalRecord, PSBTInputKeys, PSBTInputRecord, PSBTKeyedRecord, PSBTOutputKeys, PSBTOutputRecord, PSBTRecord } from '../types/index.js';
export declare function get_record_type<T extends Record<number, string>>(keymap: T, label: T[keyof T]): number;
export declare function collect_global_record(records: PSBTGlobalRecord[], label: PSBTGlobalKeys): PSBTKeyedRecord<PSBTGlobalKeys>[];
export declare function find_global_record(records: PSBTGlobalRecord[], label: PSBTGlobalKeys): PSBTRecord<PSBTGlobalKeys> | undefined;
export declare function has_global_record(records: PSBTGlobalRecord[], label: PSBTGlobalKeys): boolean;
export declare function get_global_record(records: PSBTGlobalRecord[], label: PSBTGlobalKeys): PSBTRecord<PSBTGlobalKeys>;
export declare function remove_global_record(records: PSBTGlobalRecord[], label: PSBTGlobalKeys): void;
export declare function update_global_record(records: PSBTGlobalRecord[], record: PSBTGlobalRecord): void;
export declare function collect_input_record(records: PSBTInputRecord[], label: PSBTInputKeys): PSBTKeyedRecord<PSBTInputKeys>[];
export declare function find_input_record(records: PSBTInputRecord[], label: PSBTInputKeys): PSBTRecord<PSBTInputKeys> | undefined;
export declare function has_input_record(records: PSBTInputRecord[], label: PSBTInputKeys): boolean;
export declare function get_input_record(records: PSBTInputRecord[], label: PSBTInputKeys): PSBTRecord<PSBTInputKeys>;
export declare function remove_input_record(records: PSBTInputRecord[], label: PSBTInputKeys): void;
export declare function update_input_record(records: PSBTInputRecord[], updated: PSBTInputRecord): void;
export declare function collect_output_record(records: PSBTOutputRecord[], label: PSBTOutputKeys): PSBTKeyedRecord<PSBTOutputKeys>[];
export declare function find_output_record(records: PSBTOutputRecord[], label: PSBTOutputKeys): PSBTRecord<PSBTOutputKeys> | undefined;
export declare function has_output_record(records: PSBTOutputRecord[], label: PSBTOutputKeys): boolean;
export declare function get_output_record(records: PSBTOutputRecord[], label: PSBTOutputKeys): PSBTRecord<PSBTOutputKeys>;
export declare function remove_output_record(records: PSBTOutputRecord[], label: PSBTOutputKeys): void;
export declare function update_output_record(records: PSBTOutputRecord[], updated: PSBTOutputRecord): void;
declare const _default: {
    global: {
        find: typeof find_global_record;
        get: typeof get_global_record;
        has: typeof has_global_record;
        remove: typeof remove_global_record;
        update: typeof update_global_record;
    };
    input: {
        find: typeof find_input_record;
        get: typeof get_input_record;
        has: typeof has_input_record;
        remove: typeof remove_input_record;
        update: typeof update_input_record;
    };
    output: {
        find: typeof find_output_record;
        get: typeof get_output_record;
        has: typeof has_output_record;
        remove: typeof remove_output_record;
        update: typeof update_output_record;
    };
};
export default _default;
