import CONST from '../const.js';
export type PSBTGlobalKeys = typeof CONST.PSBT_GLOBAL_TYPE_MAP[keyof typeof CONST.PSBT_GLOBAL_TYPE_MAP];
export type PSBTInputKeys = typeof CONST.PSBT_INPUT_TYPE_MAP[keyof typeof CONST.PSBT_INPUT_TYPE_MAP];
export type PSBTOutputKeys = typeof CONST.PSBT_OUTPUT_TYPE_MAP[keyof typeof CONST.PSBT_OUTPUT_TYPE_MAP];
export type PSBTGlobalRecord = PSBTRecord<PSBTGlobalKeys>;
export type PSBTInputRecord = PSBTRecord<PSBTInputKeys>;
export type PSBTOutputRecord = PSBTRecord<PSBTOutputKeys>;
export type PSBTGlobalKeyedRecord = PSBTKeyedRecord<PSBTGlobalKeys>;
export type PSBTInputKeyedRecord = PSBTKeyedRecord<PSBTInputKeys>;
export type PSBTOutputKeyedRecord = PSBTKeyedRecord<PSBTOutputKeys>;
export type PSBTInputSet = PSBTInputRecord[];
export type PSBTOutputSet = PSBTOutputRecord[];
export type PSBTemplate = Partial<PSBTData>;
export interface PSBTRecord<T> {
    key?: string;
    label: T;
    value: string;
}
export interface PSBTKeyedRecord<T> {
    key: string;
    label: T;
    value: string;
}
export interface PSBTData {
    global: PSBTGlobalRecord[];
    inputs: Array<PSBTRecord<PSBTInputKeys>[]>;
    outputs: Array<PSBTRecord<PSBTOutputKeys>[]>;
}
export interface PSBTInputSegwitData {
    hd_paths: [pubkey: string, hdpath: string][];
    sigs: [pubkey: string, sig: string][];
    script?: string;
}
export interface PSBTInputTaprootData {
    hd_paths: [pubkey: string, hdpath: string][];
    key_sigs: [pubkey: string, sig: string][];
    script_sigs: [pubkey: string, sig: string][];
    scripts: [cblock: string, script: string][];
}
export interface PSBTUtxoInput {
    script_key: string;
    txid: string;
    value: number;
    vout: number;
    sequence?: string;
    script_sig?: string;
    witness?: string;
}
