import { Buff } from '@cmdcode/buff';
import * as check from './check.js';
export function ok(value, message) {
    if (value === false) {
        throw new Error(message ?? 'Assertion failed!');
    }
}
export function exists(value, msg) {
    if (!check.exists(value)) {
        throw new Error(msg ?? 'Value is null or undefined!');
    }
}
export function is_zero_byte(byte) {
    const stop_byte = new Buff(byte);
    if (stop_byte.length !== 1 || stop_byte[0] !== 0) {
        throw new Error('stream has invalid stop byte: ' + stop_byte);
    }
}
export function end_of_stream(stream) {
    if (stream.size !== 0) {
        throw new Error('stream has excess bytes: ' + new Buff(stream.data).hex);
    }
}
export function array_idx_exists(index, array, msg) {
    if (array?.at(index) === undefined) {
        throw new Error(msg ?? 'array is empty at index: ' + index);
    }
}
