import { parse_psbt }       from './parse.js'
import { get_psbt_version } from './util.js'

import { PSBTData }  from '@/types/psbt.js'

export class PSBT {
  readonly _data : PSBTData

  constructor (psbt : string | PSBTData) {
    this._data = parse_psbt(psbt)
  }

  get version () {
    return get_psbt_version(this._data.global)
  }
}
